{: test a compilation error is gracefully handled for typo in record
   declaration }

{$d+}
program e010( output );

var
   i : integer;
   aa1,aa2 : array[1..10] of real; {OK}

      { ----v---- !!! misspelling }
   a1,a2 : aray[1..10] of real;

begin {e010}

   for i := 1 to 10 do a1[i] := 1+9;
   writeln( 'fails: typo error not detected' );

end. {e010}

